/*  Function prototypes for KI and user functions. */

/*************************** ki.c *******************************/

void disp_omsg( void );

void chron_func( void );

int getline ( FILE *, char *, register int );

char *get_nxt_tok( void );

int get_nxt_number ( void );

int strmatch ( char *, char * );

int set_cmdsrc ( char *, int );

/*************************** lcmds.c *******************************/

/* Symbol table initialization. */

void st_init( void );

/*************************** interp.c *******************************/

/* Routine to delete previous additions made to the symbol table*/

void delete( void );

char *iparse ( char *, entry_ptr *, register int * );

char *nsave ( register char * );

int isearch ( register char *, register int );

char *get_token ( register char *, register char *, int * );

int chtest ( register int );

int ishex ( int );

int convert( char * );

int htoi ( register int );

void iexec ( register pv_ptr );

pv_ptr clause ( register pv_ptr, int *, int * );

pv_ptr fptr ( register pv_ptr );	/* General case function description. */

/*************************** isym.c *******************************/

pv_ptr doproc( register pv_ptr );

pv_ptr begin ( register pv_ptr );

pv_ptr ixeq ( register pv_ptr );  

pv_ptr isys ( register pv_ptr );

pv_ptr isleep ( register pv_ptr ); 

pv_ptr ipause ( register pv_ptr ); 

pv_ptr ibeep ( register pv_ptr ); 

pv_ptr date ( register pv_ptr );

pv_ptr prt ( register pv_ptr );

pv_ptr stop_ki ( register pv_ptr );

/*************************** afb_lib.c *******************************/

pv_ptr sel ( register pv_ptr );    /* Select camera, make it current. */

pv_ptr sfw( register pv_ptr );    /* Set Filter Wheel Position */

pv_ptr afb_id ( register pv_ptr );    /* Read AFB ID Bits */

pv_ptr rfw ( register pv_ptr );    /* Read Filter Wheel Position */

pv_ptr tei ( register pv_ptr );    /* Read Enclosure Internal Ambient Temp. */

pv_ptr tee ( register pv_ptr );    /* Read Enclosure External Ambient Temp. */

pv_ptr td ( register pv_ptr );    /* Read Dome Temperature */

pv_ptr tcf ( register pv_ptr );    /* Read CCD Temperature, Fine */

pv_ptr tfw ( register pv_ptr );    /* Read Filter Wheel Temperature */

pv_ptr heater ( register pv_ptr );    /* Read Heater Status */

pv_ptr acpower ( register pv_ptr );    /* Read power - AC to electronics. */

pv_ptr plus5 ( register pv_ptr );    /* Read power - plus 5 volt rail. */

pv_ptr plus15 ( register pv_ptr );    /* Read power - plus 15 volt rail. */

pv_ptr minus15 ( register pv_ptr );    /* Read power - minus 15 volt rail. */

pv_ptr cam_stat ( register pv_ptr );    /* Show camera Status */

pv_ptr fan_stat ( register pv_ptr );    /* Read Fan Status */

pv_ptr reset_afb ( register pv_ptr );    /* Reset AFB for selected camera. */

void select_camera ( int );

void com_init( int );

/*************************** cam_cont.c *******************************/

pv_ptr cfifo( register pv_ptr );	

pv_ptr fccd( register pv_ptr );	

pv_ptr gain( register pv_ptr );

pv_ptr pb( register pv_ptr );

pv_ptr pre ( register pv_ptr );

pv_ptr rm ( register pv_ptr );

pv_ptr roi ( register pv_ptr );

pv_ptr rr ( register pv_ptr );	

pv_ptr sb ( register pv_ptr );

pv_ptr sh ( register pv_ptr );

pv_ptr unload ( register pv_ptr );

pv_ptr exp_type ( register pv_ptr );

pv_ptr scale ( register pv_ptr );

pv_ptr expose ( register pv_ptr );

pv_ptr rd ( register pv_ptr );

pv_ptr tp ( register pv_ptr );

pv_ptr wthd ( register pv_ptr );

pv_ptr op_mode ( register pv_ptr );

void scan_min_max( unsigned far * );

/*************************** compare.c *******************************/

pv_ptr compare ( register pv_ptr );

/*************************** view.c *******************************/

pv_ptr view ( register pv_ptr );


