/******************************************************************************
 TEMP.C

 Read temperature log file, display readings in formatted text.

******************************************************************************/
#include <bios.h>
#include <dos.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <io.h>
#include <sys\types.h>
#include <sys\stat.h>

#include "at200.h"
#include "idecls.h"
#include "camsys.h"

cam_misc misc;		/* Camera 'misc' structure with camera data. */
char	fname[80];

void show_misc ( void )
{
    int i;
    
    printf( "\nAFB ID %d  date: %4d/%2d/%2d  time: %2d:%2d:%2d.%2d\n",  
	     misc.afb_id, misc.dt.year, misc.dt.month, misc.dt.day,
	     misc.tm.hour, misc.tm.minute, misc.tm.second, misc.tm.hsecond );
    printf (  "tee         =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.tee[i] );

    printf (  "\ntd          =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.td[i] );

    printf (  "\ntcc         =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.tcc[i] );

    printf (  "\ntcf         =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.tcf[i] );

    printf (  "\ntfw         =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.tfw[i] );

    printf (  "\ntei         =" );
    for ( i=0; i<5; i++ )
	printf (  "  %4d", misc.temp.tei[i] );

    printf (  "\nheater      = %4d\n",      misc.heater );
    printf (  "acpower     = %4d\n",        misc.acpower );
    printf (  "plus5       = %4d\n",        misc.plus5 );
    printf (  "plus15      = %4d\n",        misc.plus15 );
    printf (  "minus15     = %4d\n",        misc.minus15 );
}
 
void show_help(void)
{

  printf("USAGE: TEMP [-f filename]\n"
         "  Where:\n"
         "    -f `filename' is the name of the temperature log file.\n");
  exit( 0 );
}

void main(int argc,char *argv[])
{
int	count, x, fd;
  
 if(argc < 3)
 show_help();

  for( x=1 ; x < argc ; x++ ) {
    if( argv[x][0] == '-' )
      switch( argv[x][1] ) {
        case 'f': case 'F':
          x++;
          strcpy( fname, argv[x] );
         break;

        default:
          show_help();
          break;
      }
    else
      show_help();
  }

  /* Open temperature log file. */

  fd = open( fname, O_RDONLY | O_BINARY , S_IREAD | S_IWRITE );
  if ( !fd )
  {
	printf( "ERROR: Unable to open file: %s\n", fname );
	exit( 1 );
  }

  while ( ( count = read ( fd, &misc, sizeof ( cam_misc ) ) ) > 0 )
	show_misc();
}
